Librenix  
(Show all Apache articles . . .
)  
Headlines | Linux | Apps | Coding | BSD | Admin | News
Information for Linux System Administration 

Build mod_fastcgi for Apache2 on OpenSUSE 12.2

Up
vote
Down

mod_fastcgi is needed for Apache prior to 2.4 to work with PHP-FPM. There is an apache2-mod_fastcgi package for OpenSUSE, but unfortunately it is buggy: it does not allow you to use the FastCgiExternalServer directive inside a vhost, although the official mod_fastcgi documentation says that this is allowed. This guide explains how to build a new mod_fastcgi from the sources for Apache2 on an OpenSUSE 12.2 system to fix this problem.
 read more | score:8247 | -falko, February 27, 2013
More Sysadmin articles...

Buy Art Online with Satisfaction Guaranteed

admin headlines

USB Redirection hack on Two Node Controller+Compute Neutron GRE+OVS Fedora 20 Cluster

10 basic examples of Linux ps command

Multiarch: Use 32bit Packages on 64bit Debian 7

Tutorial: OpenSUSE 12.3 Samba Server with tdbsam

Using Multiple PHP Versions (PHP-FPM FastCGI) With ISPConfig 3 (Ubuntu 12.04)

Tutorial: mod_spdy, Apache2 on Scientific Linux 6.3

 

Firefox sidebar

Site map

Site info

News feed

Features

Login
(to post)

Search

 
Articles are owned by their authors.   © 2000-2012 Ray Yeargin